Subject: [ESP] Access Control Committee

From: Roland Schweitzer <[email-masked]>
Date: Mon, 14 Jun 2004 11:44:01 -0500

Hi Folks,

I added a link to an "Access Control" page to the wiki.  The text of
the page is as follows:

ESP Committee for Access Control

This committee is charged with
investigating ways to provide access control to LAS sites (and to
monitor progress on OPeNDAP access control).  During the third ESP
meeting I presented a talk outlining some rudimentary ideas for how to
add access control to LAS with the least amount of disturbance to the
basic architecture.

As a result of my presentation, two ESP participants suggested that
they have contributions to make.

Dean Williams ([email-masked])
offered "a mysql based access control system" that could perhaps be
plugged into LAS.

Ananta Manandhar ([email-masked]) offered "a certificate
based
access control system" that will be generalized and ready to deploy "in
a couple of months" that could perhaps be plugged into LAS.

The first (and currently only) action item for this group is to have
Dean and Ananta post their code fragments to the ESP SourceForge (or
wiki) so we can have a look at them.

One outstanding issue is the need for access control to OPeNDAP
servers.  Additions to LAS being discussed here conveniently
ignore this problem though any ideas in this area are appropriate for
discussion in this forum.

Roland ([email-masked])

Please send your comments and discussion to this mailing list.  I will
keep the page up-to-date with links to the contributions and any
experimental LAS installations with access controls.